# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KBookmarkBar Class Reference

This class provides a bookmark toolbar. More...

`#include <kbookmarkbar.h>`

Inheritance diagram for KBookmarkBar:

[legend]
Collaboration diagram for KBookmarkBar:

[legend]
List of all members.

## Public Slots

void | slotBookmarksChanged (const QString &)
void | slotBookmarkSelected ()
void | clear ()

## Public Member Functions

| KBookmarkBar (KBookmarkManager *mgr, KBookmarkOwner *owner, KToolBar *toolBar, KActionCollection *, QObject *parent=0L, const char *name=0L)
| Fills a bookmark toolbar.

## Protected Member Functions

void | fillBookmarkBar (KBookmarkGroup &parent)

## Detailed Description

This class provides a bookmark toolbar.

Using this class is nearly identical to using KBookmarkMenu so follow the directions there.

Definition at line 38 of file kbookmarkbar.h.

## Constructor & Destructor Documentation

KBookmarkBar::KBookmarkBar | ( | KBookmarkManager * | mgr,
|  | KBookmarkOwner * | owner,
|  | KToolBar * | toolBar,
|  | KActionCollection * | ,
|  | QObject * | parent = 0L,
|  | const char * | name = 0L
| ) |

Fills a bookmark toolbar.

Parameters:

  owner | implementation of the KBookmarkOwner interface (callbacks)
  toolBar | toolbar to fill
  collec | parent for the KActions OBSOLETE
  manager | the bookmark manager

Definition at line 33 of file kbookmarkbar.cc.

References QObject::connect(), KStdAccel::name(), QPtrList< KBookmarkMenu >::setAutoDelete(), and KBookmarkManager::toolbar().

The documentation for this class was generated from the following files:

- kbookmarkbar.h
- kbookmarkbar.cc

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:15:20 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001